%global __requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Mail
%define		_subclass	Mbox
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.6.3
Release:	%mkrel 12
Summary:	Mbox PHP class to Unix MBOX parsing and using
License:	LGPL
Group:		Development/PHP
URL:		https://pear.php.net/package/Mail_Mbox/
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch



%description
It can split messages inside a Mbox, return the number of messages, return,
  update or remove an specific message or add a message on the Mbox.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Mail_Mbox.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Mail_Mbox.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Mail_Mbox
fi

%files
%doc docs/Mail_Mbox/*
%{peardir}/*
%{xmldir}/Mail_Mbox.xml


%changelog
* Tue Aug 16 2022 mokraemer <mokraemer> 0.6.3-12.mga9
+ Revision: 1878241
- remove old testcases/requirement to old phpunit

* Fri Jun 24 2022 papoteur <papoteur> 0.6.3-11.mga9
+ Revision: 1865858
- Mass Rebuild for dependencies

* Tue Mar 22 2022 umeabot <umeabot> 0.6.3-10.mga9
+ Revision: 1817819
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.3-9.mga8
+ Revision: 1499071
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.3-8.mga7
+ Revision: 1273400
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.6.3-7.mga6
+ Revision: 931944
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-6.mga5
+ Revision: 747955
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.6.3-5.mga5
+ Revision: 734074
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.3-4.mga5
+ Revision: 687335
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.6.3-3.mga4
+ Revision: 528098
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.6.3-2.mga4
+ Revision: 443450
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Sat Jun 15 2013 spuhler <spuhler> 0.6.3-1.mga4
+ Revision: 443400
- upgrade to version 0.6.3
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.5.1-7.mga3
+ Revision: 376820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.5.1-6.mga1
+ Revision: 43152
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail_Mbox

